/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoConvenioDAO;
import com.rjconsultores.ventaboletos.entidad.TipoConvenio;
import com.rjconsultores.ventaboletos.service.TipoConvenioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Shiro
 */
@Service("tipoConvenioService")
public class TipoConvenioServiceImpl implements TipoConvenioService{

    @Autowired
    private TipoConvenioDAO tcdao;

    public List<TipoConvenio> obtenerTodos() {
        return tcdao.obtenerTodos();
    }

    public TipoConvenio obtenerID(Integer id) {
        return tcdao.obtenerID(id);
    }

    @Transactional
    public TipoConvenio suscribir(TipoConvenio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tcdao.suscribir(entidad);
    }

    @Transactional
    public TipoConvenio actualizacion(TipoConvenio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tcdao.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoConvenio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tcdao.actualizacion(entidad);
    }

}
